<?php
class x_23h { 
private $x_z3; 
private $x_28e; 
private $x_25k; 
private $x_za; 
public function __construct($x_z3, $x_28f) { 
$this->x_z3 = $x_z3; 
foreach ($x_28f as $x_25x => $x_28g) { 
switch ($x_25x) { 
case 'object': 
$this->x_28e = $x_28g; 
break; 
case 'method': 
$this->x_25k = $x_28g; 
break; 
case 'params': 
$this->x_za = json_decode($x_28g, true); 
break; 
case 'token': 
break; 
default: 
Logger::logWrite(ERRORLOG, __FILE__ . ':' . __LINE__ . ':' . $this->x_28e . '::' . $this->x_25k . ' unsupported parameter ' . $x_25x); 
break; 
} 
} 
} 
public function x_23j($x_28h, $x_28i = false) { 
$x_28j = $x_28h . $this->x_28e . '.inc'; 
if (!file_exists($x_28j)) { 
Logger::logWrite(ERRORLOG, __FILE__ . ':' . __LINE__ . ':' . ' wrong object, missing file ' . $x_28j); 
return false; 
} 
require_once($x_28j); 
$x_28e = $this->x_28e; 
$x_25k = $this->x_25k; 
if (!method_exists($x_28e, $x_25k)) { 
Logger::logWrite(ERRORLOG, __FILE__ . ':' . __LINE__ . ':' . ' wrong method ' . $x_28e . '::' . $x_25k); 
return false; 
} 
$x_28k = new $x_28e($this->x_z3); 
if (!$x_28k->x_25j($x_25k, &$this->x_za)) { 
return false; 
} 
$x_28l = $x_28k->x_25n($x_25k, $this->x_za); 
foreach ($x_28l as $x_28m) { 
if ('reference' == $x_28m['type']) { 
$x_28n[] = &$$x_28m['data']; 
} else { 
$x_28n[] = $x_28m['data']; 
} 
} 
$x_232 = call_user_func_array(array(&$x_28k, $x_25k), $x_28n); 
$x_28o = $x_28k->x_25s($x_25k); 
if (is_array($x_28o)) { 
foreach($x_28o as $x_25i){ 
$x_28p[$x_25i] = $$x_25i; 
} 
} else { 
if (true === $x_232) { 
Logger::logWrite(ERRORLOG, __FILE__ . ':' . __LINE__ . ':' . ' invalid output names'); 
} 
} 
$x_28p['returnValue'] = $x_232; 
if ($x_28i) { 
return $x_28p; 
} 
print json_encode($x_28p); 
return true; 
} 
} 
?>